Author Topic: Patches to compile and link C::B against wxWidgets 2.8.0  (Read 90139 times)

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7626
    • My Best Post
Re: Patches to compile and link C::B against wxWidgets 2.8.0
« Reply #120 on: February 02, 2007, 09:41:57 pm »
Hey, everybody,  good times for all

Now i have the last subversion revision: 3562 and I trying to compile it aganist the last oficial release of wxWidgets 2.8.0
I'm following the respectives directives (patchs) of the post about the fact, but i can't get it, i always get this:

g++ -DHAVE_CONFIG_H -I. -I. -I. -I/opt/wx/2.8//lib/wx/include/gtk2-unicode-release-2.8 -I/opt/wx/2.8//include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -D__WXGTK__ -pthread -I../../src/sdk/wxscintilla/include -I../../src/sdk/tinyxml -I../../src/sdk/scripting/include -I../../src/sdk/scripting/sqplus -I../../src/sdk/wxFlatNotebook/include -I../../src/sdk/propgrid/include -O2 -ffast-math -O3 -mmmx -march=pentium4 -funroll-loops -fexpensive-optimizations -fPIC -DPIC -MT editorconfigurationdlg.lo -MD -MP -MF .deps/editorconfigurationdlg.Tpo -c editorconfigurationdlg.cpp  -fPIC -DPIC -o .libs/editorconfigurationdlg.o
editorconfigurationdlg.cpp: In constructor `
   EditorConfigurationDlg::EditorConfigurationDlg(wxWindow*)':
editorconfigurationdlg.cpp:235: error: invalid use of undefined type `struct
   wxImageList'
/opt/wx/2.8/include/wx-2.8/wx/generic/listctrl.h:16: error: forward declaration
   of `struct wxImageList'
editorconfigurationdlg.cpp:240: error: `Add' undeclared (first use this
   function)
editorconfigurationdlg.cpp:240: error: (Each undeclared identifier is reported
   only once for each function it appears in.)
editorconfigurationdlg.cpp: In member function `void
   EditorConfigurationDlg::AddPluginPanels()':
editorconfigurationdlg.cpp:281: error: `Add' undeclared (first use this
   function)
editorconfigurationdlg.cpp:283: error: `GetImageCount' undeclared (first use
   this function)
editorconfigurationdlg.cpp: In member function `void
   EditorConfigurationDlg::UpdateSampleFont(bool)':
editorconfigurationdlg.cpp:488: warning: `__comp_ctor' is deprecated (declared
   at /opt/wx/2.8/include/wx-2.8/wx/gtk/fontdlg.h:48)


Please help, i read that other people can do it, so i want too.

Note: If you read the first part of the error you see that is a problem with wxWidgets itself, but how can the others
to compile ?

OS: Linux

This appears to be an pre compile of headers issue. I am working on issues with getting ready to compile codeblocks against wxW29 and also working on precomp issues. I will update this message when I find a patch for this issue. The other Linux users most likely patched it themselves by adding an include of <wx/imaglist.h>

Try my CB_PRECOMP-unix.patch patch on http://www.savefile.com/projects/1039215

Tim S
« Last Edit: February 02, 2007, 11:45:12 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 64 bit.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7626
    • My Best Post
Re: Patches to compile and link C::B against wxWidgets 2.8.0
« Reply #121 on: February 10, 2007, 03:49:00 pm »
I am working on a patch for C::B to fix the following issues for disable compat26 under wxWidgets 2.8.

From wx/toplevel.h (wxWidgets 2.6.1)
Code
// deprecated versions defined for compatibility reasons
#define wxRESIZE_BOX            wxMAXIMIZE_BOX
#define wxTHICK_FRAME           wxRESIZE_BORDER

// obsolete styles, unused any more
#define wxDIALOG_MODAL          0
#define wxDIALOG_MODELESS       0
#define wxNO_3D                 0
#define wxUSER_COLOURS          0

From wx/toplevel.h (wxWidgets cvs head)
Code
#if WXWIN_COMPATIBILITY_2_6

    // deprecated versions defined for compatibility reasons
    #define wxRESIZE_BOX            wxMAXIMIZE_BOX
    #define wxTHICK_FRAME           wxRESIZE_BORDER

    // obsolete styles, unused any more
    #define wxDIALOG_MODAL          0
    #define wxDIALOG_MODELESS       0
    #define wxNO_3D                 0
    #define wxUSER_COLOURS          0

#endif // WXWIN_COMPATIBILITY_2_6
« Last Edit: February 10, 2007, 03:54:08 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 64 bit.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org